Subject: RE: [Sipping] Early media; philosophical discussion

From: "Francois Audet" <[email-masked]>
Date: Fri, 4 Apr 2003 12:11:48 -0800

> Of course we still have the issue related to forking, media 
> mixing etc, but I don't think we can solve that (I really 
> don't like the idea of sending lots of pre-session UPDATEs, 
> because that will cause other kind of race conditions), but 
> if we recommend SIP nodes to not send early media (PSTN 
> gateways will of course often do it) in the first place that 
> may not be a really big problem in real-life networks.

I think we need more than a recommendation.  We need a way to tell
the far-end NOT to send early media (because of forking
for example). This indication can not be at the SDP level, and it
should be something that a proxy (such as a forking proxy) could
add to the INVITE.

The case that worries me most is forking where early media can not
work properly (I think everybody agrees on this). This is why I
was suggesting that a forking indication would suffice. But we
could instead have some sort of explicit no-early media indication.

Again, the problem is that forking to a PSTN gateway will happen, 
and if that gateway does not know not to send early media, we have
a problem.

---

From: Gonzalo Camarillo <[email-masked]>
Date: Sat, 05 Apr 2003 09:16:05 +0300

Francois,

I have already answered this one in another note (I believe I sent it 
yesterday). The gateway model is appropriate when the UAS is not the one 
"generating" the early media. This means that, a gateway cannot know 
whether the early media is optional or not. A gateway does not know 
whether the early media it is receiving from the circuit-switched part 
is optional or is essential to the call. Therefore, even if this gateway 
receives an indication from in the INVITE saying that the requested 
forked, the gateway CANNOT DO ANYTHING. It needs to send the media anyway.

However, a pure SIP UAS knows that what it is about to generate is a 
message that says "Thanks for calling Francois, please wait". Therefore, 
it sends a separate INVITE (application server model), which the UAC can 
refuse if it is already overloaded with other stuff.

Therefore,  a "has forked" indication buys you NOTHING here.

Gonzalo

-- 
Gonzalo Camarillo         Phone :  +358  9 299 33 71
Oy L M Ericsson Ab        Mobile:  +358 40 702 35 35
Telecom R&D               Fax   :  +358  9 299 30 52
FIN-02420 Jorvas          Email :  [email-masked]
Finland                   http://www.hut.fi/~gonzalo

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP